{%- from "glance/map.jinja" import server with context %}

{%- if server.get('db_purge', {}).get('enabled', False) %}
{%- set cmd_args = [] %}

{%- if server.db_purge.days is defined %}
{%-   do cmd_args.append('--age_in_days') %}
{%-   do cmd_args.append(server.db_purge.days|string) %}
{%- else %}
{%-   do cmd_args.append('--age_in_days') %}
{%-   do cmd_args.append(0) %}
{%- endif %}

glance_db_clean:
  cmd.run:
  - name: glance-manage db purge  --purge_all {{ cmd_args|join(' ') }}
  - runas: 'glance'
  {%- if grains.get('noservices') or server.get('role', 'primary') == 'secondary' %}
  - onlyif: /bin/false
  {%- endif %}

{%- if server.version == 'queens' %}
glance_db_images_table_clean:
  cmd.run:
  - name: glance-manage db purge_images_table  --purge_all {{ cmd_args|join(' ') }}
  - runas: 'glance'
  {%- if grains.get('noservices') or server.get('role', 'primary') == 'secondary' %}
  - onlyif: /bin/false
  {%- endif %}
{%- endif %}

{%- endif %}
